import { trade as krakenTrade, account as krakenAccount } from './kraken';
export declare const ethfinex: {
    watch: (options: import("..").Ethfinex.WatchOptions) => import("rxjs").Observable<import("..").AnyOrderMessage>;
    fetch: (options: import("..").Ethfinex.FetchOptions) => Promise<import("..").OrderbookOrder[]>;
};
export declare const kraken: {
    watch: (options: import("..").Kraken.WatchOptions) => import("rxjs").Observable<import("..").AnyOrderMessage>;
    fetch: (options: import("..").Kraken.FetchOptions) => Promise<import("..").OrderbookOrder[]>;
    trade: typeof krakenTrade;
    account: typeof krakenAccount;
};
export declare const oasisdex: {
    watch: (options: import("..").OasisDex.WatchOptions) => import("rxjs").Observable<import("..").AnyOrderMessage>;
    fetch: (options: import("..").OasisDex.FetchOptions) => Promise<import("..").OrderbookOrder[]>;
};
export declare const radarrelay: {
    watch: (options: import("..").Options) => import("rxjs").Observable<import("..").AnyOrderMessage>;
    fetch: (options: import("..").RadarRelay.FetchOptions) => Promise<any[]>;
};
export declare const kyber: {
    watch: (options: import("..").Kyber.WatchOptions) => import("rxjs").Observable<import("..").AnyOrderMessage>;
    fetch: (options: import("..").Kyber.FetchOptions) => Promise<import("..").OrderbookOrder[]>;
};
