import { OrderbookOrder, Options, AnyOrderMessage } from './types';
export declare const isBidOrder: (obj: any) => boolean;
export declare const isAskOrder: (obj: any) => boolean;
export declare const createOrderbook: (options: Options, orders: OrderbookOrder[]) => {
    quote: string;
    base: string;
    network: import("./types").Network;
    asks: OrderbookOrder[];
    bids: OrderbookOrder[];
};
export declare const sortOrders: (a: OrderbookOrder, b: OrderbookOrder) => number;
export declare const reduceOrderVolumes: (carry: OrderbookOrder[], order: OrderbookOrder, index: number) => OrderbookOrder[];
export declare const reduceOrderEvents: (carry: OrderbookOrder[], current: AnyOrderMessage) => OrderbookOrder[];
