import { Options as BaseOptions } from '../../types';
export declare namespace Kraken {
    interface Options extends BaseOptions {
        interval?: number;
    }
    interface WatchOptions extends Options {
    }
    interface FetchOptions extends Options {
    }
    interface TradeOptions {
        auth: Authentication;
        nonce?: any;
    }
    interface Authentication {
        key: string;
        secret: string;
    }
}
